diff --git a/drupal7/sites/all/modules/ldap/ldap_test/LdapTestFunctions.class.php b/drupal7/sites/all/modules/ldap/ldap_test/LdapTestFunctions.class.php
index 41c987bb..6219cbc3 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/LdapTestFunctions.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_test/LdapTestFunctions.class.php
@@ -2,25 +2,31 @@
 
 /**
  * @file
- *
- * utility functions for ldap simpletests
+ * Utility functions for ldap simpletests.
  * @todo could be moved into LdapTestCase.class.php
- *
  */
 
-require_once('ldap_servers.conf.inc');
-require_once('ldap_user.conf.inc');
-require_once('ldap_authentication.conf.inc');
-require_once('ldap_authorization.conf.inc');
-
-class LdapTestFunctions  {
+require_once 'ldap_servers.conf.inc';
+require_once 'ldap_user.conf.inc';
+require_once 'ldap_authentication.conf.inc';
+require_once 'ldap_authorization.conf.inc';
+/**
+ *
+ */
+class LdapTestFunctions {
 
-  public $data = array();
-  public $ldapData = array();  // data in ldap array format, but keyed on dn
-  public $csvTables = array();
+  public $data = [];
+  /**
+   * Data in ldap array format, but keyed on dn.
+   */
+  public $ldapData = [];
+  public $csvTables = [];
   public $ldapTypeConf;
 
-  function __construct() {
+  /**
+   *
+   */
+  public function __construct() {
     module_load_include('module', 'ldap_servers');
     $this->data['ldap_servers'] = ldap_test_ldap_servers_data();
     module_load_include('module', 'ldap_user');
@@ -31,7 +37,10 @@ class LdapTestFunctions  {
     $this->data['ldap_authentication'] = ldap_test_ldap_authentication_data();
   }
 
-  function configureLdapServers($sids, $feetures = FALSE, $feature_name = NULL) {
+  /**
+   *
+   */
+  public function configureLdapServers($sids, $feetures = FALSE, $feature_name = NULL) {
     foreach ($sids as $i => $sid) {
       $current_sids[$sid] = $sid;
       variable_set('ldap_test_server__' . $sid, $this->data['ldap_servers'][$sid]);
@@ -39,28 +48,40 @@ class LdapTestFunctions  {
     variable_set('ldap_test_servers', $current_sids);
   }
 
-  function setFakeServerProperty($sid, $prop, $value) {
-    $test_data = variable_get('ldap_test_server__' . $sid, array());
+  /**
+   *
+   */
+  public function setFakeServerProperty($sid, $prop, $value) {
+    $test_data = variable_get('ldap_test_server__' . $sid, []);
     $test_data['properties'][$prop] = $value;
     variable_set('ldap_test_server__' . $sid, $test_data);
   }
 
-  function setFakeServerUserAttribute($sid, $dn, $attr_name, $attr_value, $i=0) {
+  /**
+   *
+   */
+  public function setFakeServerUserAttribute($sid, $dn, $attr_name, $attr_value, $i = 0) {
     $attr_name = drupal_strtolower($attr_name);
-    $test_data = variable_get('ldap_test_server__' . $sid, array());
+    $test_data = variable_get('ldap_test_server__' . $sid, []);
 
     $test_data['entries'][$dn][$attr_name][$i] = $attr_value;
-    $count_set = (int)isset($test_data['entries'][$dn][$attr_name]['count']);
-    $test_data['entries'][$dn][$attr_name]['count'] = count($test_data['entries'][$dn][$attr_name]) - $count_set; // don't count the 'count'
+    $count_set = (int) isset($test_data['entries'][$dn][$attr_name]['count']);
+    // don't count the 'count'.
+    $test_data['entries'][$dn][$attr_name]['count'] = count($test_data['entries'][$dn][$attr_name]) - $count_set;
 
     $test_data['ldap'][$dn][$attr_name][$i] = $attr_value;
-    $count_set = (int)isset($test_data['ldap'][$dn][$attr_name]['count']);
-    $test_data['ldap'][$dn][$attr_name]['count'] = count($test_data['ldap'][$dn][$attr_name]) - $count_set; // don't count the 'count'
+    $count_set = (int) isset($test_data['ldap'][$dn][$attr_name]['count']);
+    // don't count the 'count'.
+    $test_data['ldap'][$dn][$attr_name]['count'] = count($test_data['ldap'][$dn][$attr_name]) - $count_set;
     variable_set('ldap_test_server__' . $sid, $test_data);
-    $ldap_server = ldap_servers_get_servers($sid, NULL, TRUE, TRUE); // clear server cache;
+    // Clear server cache;.
+    $ldap_server = ldap_servers_get_servers($sid, NULL, TRUE, TRUE);
   }
 
-  function configureLdapAuthentication($ldap_authentication_test_conf_id, $sids) {
+  /**
+   *
+   */
+  public function configureLdapAuthentication($ldap_authentication_test_conf_id, $sids) {
     module_load_include('php', 'ldap_authentication', 'LdapAuthenticationConfAdmin.class');
     $options = $this->data['ldap_authentication'][$ldap_authentication_test_conf_id];
     foreach ($sids as $i => $sid) {
@@ -75,7 +96,10 @@ class LdapTestFunctions  {
     $ldapServerAdmin->save();
   }
 
-  function configureLdapUser($ldap_user_test_conf_id) {
+  /**
+   *
+   */
+  public function configureLdapUser($ldap_user_test_conf_id) {
     module_load_include('php', 'ldap_user', 'LdapUserConfAdmin.class');
     $ldapUserConfAdmin = new LdapUserConfAdmin();
     $options = $this->data['ldap_user'][$ldap_user_test_conf_id];
@@ -87,8 +111,11 @@ class LdapTestFunctions  {
     $ldapUserConfAdmin->save();
   }
 
-  function prepConsumerConf($consumer_confs) {
-    // create consumer authorization configuration.
+  /**
+   *
+   */
+  public function prepConsumerConf($consumer_confs) {
+    // Create consumer authorization configuration.
     foreach ($consumer_confs as $consumer_type => $consumer_conf) {
       $consumer_obj = ldap_authorization_get_consumer_object($consumer_type);
       $consumer_conf_admin = new LdapAuthorizationConsumerConfAdmin($consumer_obj, TRUE);
@@ -97,73 +124,88 @@ class LdapTestFunctions  {
       }
       foreach ($consumer_conf_admin->mappings as $i => $mapping) {
         $mappings = $consumer_obj->normalizeMappings(
-          array(
-            array($mapping['from'], $mapping['user_entered'])
-          )
-          , FALSE);
+          [
+            [$mapping['from'], $mapping['user_entered']],
+          ],
+           FALSE);
         $consumer_conf_admin->mappings[$i] = $mappings[0];
       }
       $consumer_conf_admin->save();
     }
   }
 
-
-  function ldapUserIsAuthmapped($username) {
+  /**
+   *
+   */
+  public function ldapUserIsAuthmapped($username) {
     $authmaps = user_get_authmaps($username);
     return ($authmaps && in_array('ldap_user', array_keys($authmaps)));
   }
 
-  function drupalLdapUpdateUser($edit = array(), $ldap_authenticated = FALSE, $user) {
+  /**
+   *
+   */
+  public function drupalLdapUpdateUser($edit = [], $ldap_authenticated = FALSE, $user) {
     if (count($edit)) {
       $user = user_save($user, $edit);
     }
     if ($ldap_authenticated) {
-      user_set_authmaps($user, array('authname_ldap_user' => $user->name));
+      user_set_authmaps($user, ['authname_ldap_user' => $user->name]);
     }
     return $user;
   }
-// from http://www.midwesternmac.com/blogs/jeff-geerling/programmatically-adding-roles
-public function removeRoleFromUser($user, $role_name) {
 
-  if (is_numeric($user)) {
-    $user = user_load($user);
-  }
-  $key = array_search($role_name, $user->roles);
-  if ($key == TRUE) {
-    // Get the rid from the roles table.
-    $roles = user_roles(TRUE);
-    $rid = array_search($role_name, $roles);
-    if ($rid != FALSE) {
-      // Make a copy of the roles array, without the deleted one.
-      $new_roles = array();
-      foreach($user->roles as $id => $name) {
-        if ($id != $rid) {
-          $new_roles[$id] = $name;
+  /**
+   * From http://www.midwesternmac.com/blogs/jeff-geerling/programmatically-adding-roles.
+   */
+  public function removeRoleFromUser($user, $role_name) {
+
+    if (is_numeric($user)) {
+      $user = user_load($user);
+    }
+    $key = array_search($role_name, $user->roles);
+    if ($key == TRUE) {
+      // Get the rid from the roles table.
+      $roles = user_roles(TRUE);
+      $rid = array_search($role_name, $roles);
+      if ($rid != FALSE) {
+        // Make a copy of the roles array, without the deleted one.
+        $new_roles = [];
+        foreach ($user->roles as $id => $name) {
+          if ($id != $rid) {
+            $new_roles[$id] = $name;
+          }
         }
+        user_save($user, ['roles' => $new_roles]);
       }
-      user_save($user, array('roles' => $new_roles));
     }
   }
-}
 
-    public function userByNameFlushingCache($name) {
-      $user = user_load_by_name($name);
-      $users = user_load_multiple(array($user->uid), array(), TRUE); // clear user cache
-      $user = $users[$user->uid];
-      return $user;
-    }
+  /**
+   *
+   */
+  public function userByNameFlushingCache($name) {
+    $user = user_load_by_name($name);
+    // Clear user cache.
+    $users = user_load_multiple([$user->uid], [], TRUE);
+    $user = $users[$user->uid];
+    return $user;
+  }
 
- /**
-   * set variable with fake test data
+  /**
+   * Set variable with fake test data.
+   *
+   * @param string $test_ldap_id
+   *   eg. 'hogwarts'.
+   * @param string $test_ldap_type
+   *   e.g. openLdap, openLdapTest1, etc.
    *
-   * @param string $test_ldap_id eg. 'hogwarts'
-   * @param string $test_ldap_type e.g. openLdap, openLdapTest1, etc.
    * @parma string $sid where fake data is stored. e.g. 'default',
    */
   public function populateFakeLdapServerData($test_ldap_id, $sid = 'default') {
 
-    // read csvs into key/value array
-    // create fake ldap data array
+    // Read csvs into key/value array
+    // create fake ldap data array.
     $clones = empty($this->data['ldap_servers'][$sid]['clones']) ? FALSE : $this->data['ldap_servers'][$sid]['clones'];
     $server_properties = $this->data['ldap_servers'][$sid]['properties'];
     $this->getCsvLdapData($test_ldap_id);
@@ -178,7 +220,7 @@ public function removeRoleFromUser($user, $role_name) {
         $attributes,
         $server_properties['ldap_type'],
         $server_properties['user_attr']
-      ) ;
+      );
     }
 
     if ($clones) {
@@ -207,20 +249,20 @@ public function removeRoleFromUser($user, $role_name) {
     foreach ($this->csvTables['groups'] as $guid => $group) {
       $dn = 'cn=' . $group['cn'] . ',' . $this->csvTables['conf'][$test_ldap_id]['groupbasedn'];
       $this->csvTables['groups'][$guid]['dn'] = $dn;
-      $attributes = array(
-        'cn' => array(
+      $attributes = [
+        'cn' => [
           0 => $group['cn'],
           'count' => 1,
-        ),
-        'gid' => array(
+        ],
+        'gid' => [
           0 => $group['gid'],
           'count' => 1,
-        ),
-        'guid' => array(
+        ],
+        'guid' => [
           0 => $guid,
           'count' => 1,
-        ),
-      );
+        ],
+      ];
 
       if ($server_properties['groupMembershipsAttr']) {
         $membershipAttr = $server_properties['groupMembershipsAttr'];
@@ -244,7 +286,7 @@ public function removeRoleFromUser($user, $role_name) {
         $attributes[$membershipAttr]['count'] = count($attributes[$membershipAttr]);
 
       }
-      // need to figure out if memberOf type attribute is desired and populate it
+      // Need to figure out if memberOf type attribute is desired and populate it.
       $this->data['ldap_servers_by_guid'][$sid][$group['guid']]['attr'] = $attributes;
       $this->data['ldap_servers_by_guid'][$sid][$group['guid']]['dn'] = $dn;
       $this->data['ldap_servers'][$sid]['groups'][$dn]['attr'] = $attributes;
@@ -261,85 +303,91 @@ public function removeRoleFromUser($user, $role_name) {
           unset($this->ldapData['ldap_servers'][$sid][$user_dn][$member_attr]['count']);
         }
         $this->ldapData['ldap_servers'][$sid][$user_dn][$member_attr]['count'] =
-        count( $this->ldapData['ldap_servers'][$sid][$user_dn][$member_attr]);
+        count($this->ldapData['ldap_servers'][$sid][$user_dn][$member_attr]);
       }
     }
 
     $this->data['ldap_servers'][$sid]['ldap'] = $this->ldapData['ldap_servers'][$sid];
     $this->data['ldap_servers'][$sid]['csv'] = $this->csvTables;
     variable_set('ldap_test_server__' . $sid, $this->data['ldap_servers'][$sid]);
-    $current_sids = variable_get('ldap_test_servers', array());
+    $current_sids = variable_get('ldap_test_servers', []);
     $current_sids[] = $sid;
     variable_set('ldap_test_servers', array_unique($current_sids));
   }
 
+  /**
+   *
+   */
   public function generateUserLDAPAttributes($test_ldap_id, $user) {
-    $attributes = array(
-      'cn' => array(
+    $attributes = [
+      'cn' => [
         0 => $user['cn'],
         'count' => 1,
-      ),
-      'mail' => array(
+      ],
+      'mail' => [
         0 => $user['cn'] . '@' . $this->csvTables['conf'][$test_ldap_id]['mailhostname'],
         'count' => 1,
-      ),
-      'uid' => array(
+      ],
+      'uid' => [
         0 => $user['uid'],
         'count' => 1,
-      ),
-      'guid' => array(
+      ],
+      'guid' => [
         0 => $user['guid'],
         'count' => 1,
-      ),
-      'sn' => array(
+      ],
+      'sn' => [
         0 => $user['lname'],
         'count' => 1,
-      ),
-      'givenname' => array(
+      ],
+      'givenname' => [
         0 => $user['fname'],
         'count' => 1,
-      ),
-      'house' => array(
+      ],
+      'house' => [
         0 => $user['house'],
         'count' => 1,
-      ),
-      'department' => array(
+      ],
+      'department' => [
         0 => $user['department'],
         'count' => 1,
-      ),
-      'faculty' => array(
-        0 => (int)(boolean)$user['faculty'],
+      ],
+      'faculty' => [
+        0 => (int) (boolean) $user['faculty'],
         'count' => 1,
-      ),
-      'staff' => array(
-        0 => (int)(boolean)$user['staff'],
+      ],
+      'staff' => [
+        0 => (int) (boolean) $user['staff'],
         'count' => 1,
-      ),
-      'student' => array(
-        0 => (int)(boolean)$user['student'],
+      ],
+      'student' => [
+        0 => (int) (boolean) $user['student'],
         'count' => 1,
-      ),
-      'gpa' => array(
+      ],
+      'gpa' => [
         0 => $user['gpa'],
         'count' => 1,
-      ),
-      'probation' => array(
-        0 => (int)(boolean)$user['probation'],
+      ],
+      'probation' => [
+        0 => (int) (boolean) $user['probation'],
         'count' => 1,
-      ),
-      'password'  => array(
+      ],
+      'password'  => [
         0 => 'goodpwd',
         'count' => 1,
-      ),
-    );
+      ],
+    ];
     return $attributes;
   }
 
+  /**
+   *
+   */
   public function addLDAPUserToLDAPArraysFromAttributes($user, $sid, $dn, $attributes, $ldap_type, $user_attr) {
 
     if ($ldap_type == 'activedirectory') {
-      $attributes[$user_attr] = array(0 => $user['cn'], 'count' => 1);
-      $attributes['distinguishedname'] = array( 0 => $dn, 'count' => 1);
+      $attributes[$user_attr] = [0 => $user['cn'], 'count' => 1];
+      $attributes['distinguishedname'] = [0 => $dn, 'count' => 1];
     }
     elseif ($ldap_type == 'openldap') {
 
@@ -352,16 +400,22 @@ public function removeRoleFromUser($user, $role_name) {
     $this->ldapData['ldap_servers'][$sid][$dn]['count'] = count($attributes);
   }
 
+  /**
+   *
+   */
   public function getCsvLdapData($test_ldap_id) {
-    foreach (array('groups', 'users', 'memberships', 'conf') as $type) {
+    foreach (['groups', 'users', 'memberships', 'conf'] as $type) {
       $path = drupal_get_path('module', 'ldap_test') . '/test_ldap/' . $test_ldap_id . '/' . $type . '.csv';
       $this->csvTables[$type] = $this->parseCsv($path);
     }
   }
 
+  /**
+   *
+   */
   public function parseCsv($filepath) {
     $row = 1;
-    $table = array();
+    $table = [];
     if (($handle = fopen($filepath, "r")) !== FALSE) {
       while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
         if (count($data) > 1) {
@@ -371,7 +425,7 @@ public function removeRoleFromUser($user, $role_name) {
       fclose($handle);
     }
 
-    $table_associative = array();
+    $table_associative = [];
     $headings = array_shift($table);
     foreach ($table as $i => $row) {
       $row_id = $row[0];
diff --git a/drupal7/sites/all/modules/ldap/ldap_test/ldap_authentication.conf.inc b/drupal7/sites/all/modules/ldap/ldap_test/ldap_authentication.conf.inc
index bc6f383e..efe1fcef 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/ldap_authentication.conf.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_test/ldap_authentication.conf.inc
@@ -2,31 +2,33 @@
 
 /**
  * @file
- *
  */
 
+/**
+ *
+ */
 function ldap_test_ldap_authentication_data() {
 
-  $conf['default'] = array(
-      'sids' => array('activedirectory1' => 'activedirectory1'),
-      'authenticationMode' => LDAP_AUTHENTICATION_MIXED,
-      'emailOption' => LDAP_AUTHENTICATION_EMAIL_FIELD_DISABLE,
-      'emailUpdate' => LDAP_AUTHENTICATION_EMAIL_UPDATE_ON_LDAP_CHANGE_DISABLE,
-      'loginUIUsernameTxt' => 'Hogwarts Username',
-      'loginUIPasswordTxt' => 'Hogwards LDAP Password',
-      'ldapUserHelpLinkUrl' => 'https://passwords.hogwarts.edu/',
-      'ldapUserHelpLinkText' => 'Hogwarts IT Password Support Page',
-      'allowOnlyIfTextInDn' => NULL,
-      'excludeIfTextInDn' => NULL,
-      'allowTestPhp' => NULL,
-      'excludeIfNoAuthorizations' => LDAP_AUTHENTICATION_EXCL_IF_NO_AUTHZ_DEFAULT,
-      'ssoEnabled' => FALSE,
-    );
+  $conf['default'] = [
+    'sids' => ['activedirectory1' => 'activedirectory1'],
+    'authenticationMode' => LDAP_AUTHENTICATION_MIXED,
+    'emailOption' => LDAP_AUTHENTICATION_EMAIL_FIELD_DISABLE,
+    'emailUpdate' => LDAP_AUTHENTICATION_EMAIL_UPDATE_ON_LDAP_CHANGE_DISABLE,
+    'loginUIUsernameTxt' => 'Hogwarts Username',
+    'loginUIPasswordTxt' => 'Hogwards LDAP Password',
+    'ldapUserHelpLinkUrl' => 'https://passwords.hogwarts.edu/',
+    'ldapUserHelpLinkText' => 'Hogwarts IT Password Support Page',
+    'allowOnlyIfTextInDn' => NULL,
+    'excludeIfTextInDn' => NULL,
+    'allowTestPhp' => NULL,
+    'excludeIfNoAuthorizations' => LDAP_AUTHENTICATION_EXCL_IF_NO_AUTHZ_DEFAULT,
+    'ssoEnabled' => FALSE,
+  ];
 
   $conf['MixedModeUserLogon'] = $conf['default'];
 
   $conf['MixedModeUserLogon3'] = $conf['default'];
-  $conf['MixedModeUserLogon3']['sids'] = array('activedirectory1' => 'activedirectory1');
+  $conf['MixedModeUserLogon3']['sids'] = ['activedirectory1' => 'activedirectory1'];
 
   $conf['ExclusiveModeUserLogon'] = $conf['default'];
   $conf['ExclusiveModeUserLogon']['authenticationMode'] = LDAP_AUTHENTICATION_EXCLUSIVE;
@@ -35,24 +37,23 @@ function ldap_test_ldap_authentication_data() {
   $conf['SSOUserLogon']['authenticationMode'] = LDAP_AUTHENTICATION_EXCLUSIVE;
   $conf['SSOUserLogon']['ssoEnabled'] = TRUE;
   $conf['SSOUserLogon']['ssoRemoteUserStripDomainName'] = FALSE;
-  $conf['SSOUserLogon']['cookieExpire'] = 3600; // -- 0, 3600, 86400, 604800, 2592000, 31536000, 315360000
-  $conf['SSOUserLogon']['ldapImplementation'] = 'mod_auth_sspi'; //  'mod_auth_kerb'
+  // -- 0, 3600, 86400, 604800, 2592000, 31536000, 315360000.
+  $conf['SSOUserLogon']['cookieExpire'] = 3600;
+  // 'mod_auth_kerb'.
+  $conf['SSOUserLogon']['ldapImplementation'] = 'mod_auth_sspi';
 
   $conf['ExclusiveModeUserLogon3'] = $conf['default'];
-  $conf['ExclusiveModeUserLogon3']['sids'] = array('activedirectory1' => 'activedirectory1');
+  $conf['ExclusiveModeUserLogon3']['sids'] = ['activedirectory1' => 'activedirectory1'];
   $conf['ExclusiveModeUserLogon3']['authenticationMode'] = LDAP_AUTHENTICATION_EXCLUSIVE;
 
-
   $conf['WL1'] = $conf['default'];
   $conf['WL1']['authenticationMode'] = LDAP_AUTHENTICATION_EXCLUSIVE;
 
-
   $conf['WL3'] = $conf['default'];
-  $conf['WL3']['sids'] = array('activedirectory1' => 'activedirectory1');
+  $conf['WL3']['sids'] = ['activedirectory1' => 'activedirectory1'];
   $conf['WL3']['authenticationMode'] = LDAP_AUTHENTICATION_EXCLUSIVE;
 
-
-  // single sign on tests
+  // Single sign on tests.
   $conf['MixedModeUserLogonSSO'] = $conf['MixedModeUserLogon'];
   $conf['MixedModeUserLogonSSO']['ssoRemoteUserStripDomainName'] = FALSE;
   $conf['MixedModeUserLogonSSO']['seamlessLogin'] = TRUE;
diff --git a/drupal7/sites/all/modules/ldap/ldap_test/ldap_authorization.conf.inc b/drupal7/sites/all/modules/ldap/ldap_test/ldap_authorization.conf.inc
index 66767e0c..981e19e1 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/ldap_authorization.conf.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_test/ldap_authorization.conf.inc
@@ -1,209 +1,212 @@
 <?php
+
 /**
  * @file
- *
  */
 
-module_load_include('php', 'og', 'module');  // for og constants
+// For og constants.
+module_load_include('php', 'og', 'module');
 
+/**
+ *
+ */
 function ldap_test_ldap_authorization_data() {
 
-$empty_mappings = array(
-  'from' => '',
-  'user_entered' => '',
-  'normalized' => '',
-  'simplified' => '',
-  'valid' => '',
-  'error_message' => '',
-  );
-$OG_AUTHENTICATED_ROLE = 'member'; // cant use constant OG_AUTHENTICATED_ROLE here
-$conf['og_group2']['og_group'] = array(
-
-  'sid' => 'activedirectory1',
-  'consumerType' => 'og_group',
-  'consumerModule' => 'ldap_authorization_og_group',
-
-  'description' => 'Hogwarts AD',
-  'status' => 1,
-  'onlyApplyToLdapAuthenticated' => 1,
-
-  'mappings' => array(
-    array(
+  $empty_mappings = [
+    'from' => '',
+    'user_entered' => '',
+    'normalized' => '',
+    'simplified' => '',
+    'valid' => '',
+    'error_message' => '',
+  ];
+  // Cant use constant OG_AUTHENTICATED_ROLE here.
+  $OG_AUTHENTICATED_ROLE = 'member';
+  $conf['og_group2']['og_group'] = [
+
+    'sid' => 'activedirectory1',
+    'consumerType' => 'og_group',
+    'consumerModule' => 'ldap_authorization_og_group',
+
+    'description' => 'Hogwarts AD',
+    'status' => 1,
+    'onlyApplyToLdapAuthenticated' => 1,
+
+    'mappings' => [
+    [
       'from' => 'cn=students,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'students',
       'normalized' => 'node:students:' . $OG_AUTHENTICATED_ROLE,
       'simplified' => '',
       'valid' => '',
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'cn=faculty,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'faculty',
       'normalized' => 'node:faculty:' . $OG_AUTHENTICATED_ROLE,
       'simplified' => '',
       'valid' => '',
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'cn=gryffindor,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'gryffindor',
       'normalized' => 'node:gryffindor:' . $OG_AUTHENTICATED_ROLE,
       'simplified' => '',
       'valid' => '',
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'cn=users,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'users',
       'normalized' => 'node:users:' . $OG_AUTHENTICATED_ROLE,
       'simplified' => '',
       'valid' => '',
       'error_message' => '',
-    ),
-  ),
+    ],
+    ],
 
-  'useMappingsAsFilter' => 1,
+    'useMappingsAsFilter' => 1,
 
-  'synchOnLogon' => 1,
+    'synchOnLogon' => 1,
 
-  'revokeLdapProvisioned' => 1,
-  'createConsumers' => 0,
-  'regrantLdapProvisioned' => 1,
+    'revokeLdapProvisioned' => 1,
+    'createConsumers' => 0,
+    'regrantLdapProvisioned' => 1,
 
-);
+  ];
 
-$conf['og_group15']['og_group'] = $conf['og_group2']['og_group'];
-$conf['og_group15']['og_group']['mappings'] = array(
-    array(
+  $conf['og_group15']['og_group'] = $conf['og_group2']['og_group'];
+  $conf['og_group15']['og_group']['mappings'] = [
+    [
       'from' => 'cn=students,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'group-name=students,role-name=member',
       'simplified' => '',
       'valid' => '',
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'cn=faculty,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'group-name=faculty,role-name=member',
       'simplified' => '',
       'valid' => '',
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'cn=gryffindor,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'group-name=gryffindor,role-name=member',
       'simplified' => '',
       'valid' => '',
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'cn=users,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'group-name=users,role-name=member',
       'simplified' => '',
       'valid' => '',
       'error_message' => '',
-    ),
-  );
-
+    ],
+  ];
 
-$conf['drupal_role_default']['drupal_role'] = array(
+  $conf['drupal_role_default']['drupal_role'] = [
 
-  'sid' => 'activedirectory1',
-  'consumerType' => 'drupal_role',
-  'consumerModule' => 'ldap_authorization_drupal_role',
+    'sid' => 'activedirectory1',
+    'consumerType' => 'drupal_role',
+    'consumerModule' => 'ldap_authorization_drupal_role',
 
-  'description' => 'Hogwarts AD',
-  'status' => 1,
-  'onlyApplyToLdapAuthenticated' => 1,
+    'description' => 'Hogwarts AD',
+    'status' => 1,
+    'onlyApplyToLdapAuthenticated' => 1,
 
-  'mappings' => array(
-    array(
+    'mappings' => [
+    [
       'from' => 'cn=students,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'students',
       'normalized' => 'students',
       'simplified' => 'students',
       'valid' => TRUE,
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'cn=faculty,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'administrator',
       'normalized' => 'administrator',
       'simplified' => 'administrator',
       'valid' => TRUE,
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'gryffindor',
       'user_entered' => 'gryffindor',
       'normalized' => 'gryffindor',
       'simplified' => 'gryffindor',
       'valid' => TRUE,
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'cn=users,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'users',
       'normalized' => 'users',
       'simplified' => 'users',
       'valid' => TRUE,
       'error_message' => '',
-    ),
-  ),
-
+    ],
+    ],
 
-  'useMappingsAsFilter' => 0,
+    'useMappingsAsFilter' => 0,
 
-  'synchOnLogon' => 1,
+    'synchOnLogon' => 1,
 
-  'revokeLdapProvisioned' => 1,
-  'createConsumers' => 1,
-  'regrantLdapProvisioned' => 1,
-  );
+    'revokeLdapProvisioned' => 1,
+    'createConsumers' => 1,
+    'regrantLdapProvisioned' => 1,
+  ];
 
-$conf['drupal_role_authentication_test']['drupal_role'] = array(
-  'sid' => 'activedirectory1',
-  'consumerType' => 'drupal_role',
-  'consumerModule' => 'ldap_authorization_drupal_role',
+  $conf['drupal_role_authentication_test']['drupal_role'] = [
+    'sid' => 'activedirectory1',
+    'consumerType' => 'drupal_role',
+    'consumerModule' => 'ldap_authorization_drupal_role',
 
-  'description' => 'Hogwarts AD',
-  'status' => 1,
-  'onlyApplyToLdapAuthenticated' => 1,
+    'description' => 'Hogwarts AD',
+    'status' => 1,
+    'onlyApplyToLdapAuthenticated' => 1,
 
-  'mappings' => array(
-    array(
+    'mappings' => [
+    [
       'from' => 'cn=students,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'students',
       'normalized' => 'node:students:' . $OG_AUTHENTICATED_ROLE,
       'simplified' => 'students',
       'valid' => TRUE,
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'gryffindor',
       'user_entered' => 'gryffindor',
       'normalized' => 'node:gryffindor:' . $OG_AUTHENTICATED_ROLE,
       'simplified' => 'gryffindor',
       'valid' => TRUE,
       'error_message' => '',
-    ),
-    array(
+    ],
+    [
       'from' => 'cn=users,ou=groups,dc=hogwarts,dc=edu',
       'user_entered' => 'users',
       'normalized' => 'node:users:' . $OG_AUTHENTICATED_ROLE,
       'simplified' => 'users',
       'valid' => TRUE,
       'error_message' => '',
-    ),
-  ),
+    ],
+    ],
 
-  'useMappingsAsFilter' => 1,
+    'useMappingsAsFilter' => 1,
 
-  'synchOnLogon' => 1,
+    'synchOnLogon' => 1,
 
-  'revokeLdapProvisioned' => 1,
-  'createConsumers' => 1,
-  'regrantLdapProvisioned' => 1,
-  );
+    'revokeLdapProvisioned' => 1,
+    'createConsumers' => 1,
+    'regrantLdapProvisioned' => 1,
+  ];
 
-return $conf;
+  return $conf;
 }
